## mg 20160118

=== Makefile ===
# $OpenBSD: Makefile,v 1.31 2015/09/29 03:50:58 tedu Exp $

PROG=	mg

LDADD+=	-lcurses -lutil
DPADD+=	${LIBCURSES} ${LIBUTIL}

# (Common) compile-time options:
#
#	REGEX		-- create regular expression functions.
#	STARTUPFILE	-- look for and handle initialization file.
#
CFLAGS+=-Wall -DREGEX

SRCS=	autoexec.c basic.c bell.c buffer.c cinfo.c dir.c display.c \
	echo.c extend.c file.c fileio.c funmap.c help.c kbd.c keymap.c \
	line.c macro.c main.c match.c modes.c paragraph.c \
	re_search.c region.c search.c spawn.c tty.c ttyio.c ttykbd.c \
	undo.c util.c version.c window.c word.c yank.c

#
# More or less standalone extensions.
#
SRCS+=	cmode.c cscope.c dired.c grep.c tags.c theo.c

afterinstall:
	${INSTALL} -d ${DESTDIR}${DOCDIR}/mg
	${INSTALL} -m ${DOCMODE} -c ${.CURDIR}/tutorial \
		${DESTDIR}${DOCDIR}/mg

.include <bsd.prog.mk>

## mg 20110120

=== debian/changelog ===
mg (20110120-1ubuntu1) oneiric; urgency=low

  * Do not build with -Werror. Closes: #625385, LP: #831085.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2011 20:42:14 +0200

mg (20110120-1) unstable; urgency=low

  * Use overrides style rules.
  * Fix parallel compilation (debuild -j8).
  * New upstream URL in watchfile.
  * Allow parallelism.
  * New upstream release (Closes: #414846, #565036).
  * Apply Xavier's patch (Closes: #573447).

 -- Trent W. Buck <trentbuck@gmail.com>  Tue, 01 Mar 2011 15:53:46 +1100

mg (20090107-3) unstable; urgency=low

  * control, watch: Upstream homepage moved (Closes: #517210).

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 21 Mar 2009 13:32:09 +1100

mg (20090107-2) unstable; urgency=low

  * The "binary" target was taught about the "make install" exception
    directly, but sbuild was invoking the binary-arch target directly.
    (Closes: #515790, #515807).
  * Expand explanatory comments in debian/rules regarding ./configure.

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 21 Mar 2009 13:31:46 +1100

mg (20090107-1) unstable; urgency=low

  * New upstream release
    * Obsoletes old patches.
  * Replace CDBS with dh.
  * The sample .mg is an example, not documentation.

 -- Trent W. Buck <trentbuck@gmail.com>  Tue, 17 Feb 2009 18:51:46 +1100

mg (20080610-1) unstable; urgency=low

  * New upstream release
    * funmap.c, funmap.h, grep.c: enter the Public Domain.
  * rules (DM-Upload-Allowed): obviate the need for sponsors.
  * control (Standards-Version): bump to 3.8.0; no changes needed.

 -- Trent W. Buck <trentbuck@gmail.com>  Fri, 13 Jun 2008 17:20:08 +1000

mg (20070918-2) unstable; urgency=low

  * Sponsored upload by Jens Peter Secher:
    + compat: Bumped to version 5 in correspondence with dependencies.
    + patches/manpage-hyphens.patch: Extend patch to escape minus signs.

 -- Trent W. Buck <trentbuck@gmail.com>  Thu, 24 Jan 2008 21:12:00 +0100

mg (20070918-1) UNRELEASED; urgency=low

  * New upstream release
  * rules, control: use cdbs.
  * control (Build-Depends): remove erroneous autotools-dev dependency.
  * control (Homepage): promote to source stanza (per dpkg 1.14.6).
  * control (Description): tweak.
  * control (Build-Depends): bump debhelper version appease linda.
  * changelog (config.h): new unlicensed, unused stub added upstream.
  * control (Standards-Version): upgrade to 3.7.3
  * menu: fix menu-item-uses-apps-section.
  * patches/445232.patch: document auto-execute (Closes: #445232)
  * docs (.mg): add (Closes: #445233)
  * patches/445234.patch: extend documentation (Closes: #445234)

 -- Trent W. Buck <trentbuck@gmail.com>  Wed, 19 Dec 2007 19:17:27 +1100

mg (20070529-1) unstable; urgency=low

  * New upstream release
  * control (Maintainer): add my middle initial.

 -- Trent W. Buck <trentbuck@gmail.com>  Fri, 31 Aug 2007 12:50:20 +1000

mg (20070329-1) unstable; urgency=low

  * New upstream release
  * control (Description): tweak (Closes: #415267)
  * copyright: updated

 -- Trent Buck <trentbuck@gmail.com>  Fri, 30 Mar 2007 15:51:01 +1000

mg (20070214-1) unstable; urgency=low

  * New upstream release

 -- Trent Buck <trentbuck@gmail.com>  Mon, 26 Feb 2007 06:50:19 +1100

mg (20061222-1) unstable; urgency=low

  * New upstream release
  * watch: added (Closes: #402119)
  * control: remove silly Suggests field

 -- Trent Buck <trentbuck@gmail.com>  Sat, 23 Dec 2006 13:27:00 +1100

mg (20061119-1) unstable; urgency=low

  * New upstream release (Closes: #391827)
  * control: provides editor (Closes: 396297)
  * control: follow to latest Debian Policy
  * control: remove explicit libc6-dev, see
    http://lintian.debian.org/reports/Tdepends-on-build-essential-package-without-using-version.html

 -- Trent Buck <trentbuck@gmail.com>  Sun, 19 Nov 2006 13:13:20 +1100

mg (20060919-1) unstable; urgency=low

  * New upstream release

 -- Trent Buck <trentbuck@gmail.com>  Mon,  2 Oct 2006 12:53:24 +1000

mg (20060818-2) unstable; urgency=low

  * control: Include homepage in description field.
  * control: mention other editors in description field.

 -- Trent Buck <trentbuck@gmail.com>  Thu,  7 Sep 2006 12:25:37 +1000

mg (20060818-1) unstable; urgency=low

  * New upstream release
  * Set the priority to `optional'
  * Added a menu entry (based on Zile's)
  * Add mg to list of `editor' alternatives

 -- Trent Buck <trentbuck@gmail.com>  Mon, 28 Aug 2006 16:47:11 +1000

mg (20060709-1) unstable; urgency=low

  * New upstream release

 -- Trent Buck <trentbuck@gmail.com>  Mon, 10 Jul 2006 04:23:47 +1000

mg (20060707-1) unstable; urgency=low

  * Initial release (Closes: #375408)

 -- Trent Buck <trentbuck@gmail.com>  Mon, 26 Jun 2006 13:19:47 +1000

=== debian/control ===
Source: mg
Section: editors
Priority: optional
Maintainer: Trent W. Buck <trentbuck@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), libncurses-dev
Standards-Version: 3.8.0
Homepage: http://www.han.dds.nl/software/mg/

Package: mg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: editor
Description: microscopic GNU Emacs-style editor
 This program is intended to be a small, fast, and portable
 editor for people who can't (or don't want to) run real
 Emacs for one reason or another.  It is compatible with GNU
 because there shouldn't be any reason to learn more than
 one Emacs flavor.
 .
 Packages which provide editors with broadly similar goals include
 .
   * e3;
   * joe;
   * jove and xjove;
   * ng-cjk, ng-cjk-canna and ng-latin;
   * qemacs and qemacs-nox; and
   * zile

## mg 20110905

=== debian/changelog ===
mg (20110905-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * prerm: Preserve the /usr/bin/editor alternative during upgrades and
    unregister it on package removal.
    (Closes: #668439)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 27 Jan 2013 11:48:28 +0100

mg (20110905-1) unstable; urgency=low

  * New upstream release (Closes: #625385).
  * Poke debian/copyright (Closes: #617838).
  * Poke debian/control (Closes: #638154).

 -- Trent W. Buck <trentbuck@gmail.com>  Sat, 17 Sep 2011 16:15:37 +1000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50~), libncurses-dev
 Standards-Version: 3.8.0
 Homepage: http://www.han.dds.nl/software/mg/
+Vcs-Darcs:   https://darcs.debian.org/collab-maint/mg
+Vcs-Browser: https://darcs.debian.org/collab-maint/mg
 
 Package: mg
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	+dh $@ --parallel
# mg's ./configure script is not made by autoconf, and it does not
# accept arguments.  To make users realize this, ./configure exits if
# it is passed arguments -- which dh_auto_configure does.  Therefore,
# we need an exception to invoke it manually.
override_dh_auto_configure:
	./configure
# Because --prefix=/usr and such are not set up by ./configure, we
# need to invoke "make install" manually, too.
override_dh_auto_install:
	+$(MAKE) install DESTDIR=debian/mg prefix=/usr mandir=/usr/share/man

# For use with a new clone of debian/ from darcs.debian.org.
get-orig-source:
	uscan --download-current-version
	tar --transform 's|^[^/]\+||' -xf ../mg_`dpkg-parsechangelog | sed -rn 's/^Version: ((\d+):)?(.*)-.*/\3/p'`.orig.tar.gz

=== debian/watch ===
version=3
http://homepage.boetes.org/software/mg/mg-(.*).tar.gz

## mg 20150323

=== debian/changelog ===
mg (20150323-2) unstable; urgency=medium

  * Upload to unstable

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 29 Apr 2015 11:07:53 +0200

mg (20150323-1) experimental; urgency=medium

  [ Tomasz Buchert ]
  * Imported Upstream version 20150323
  * d/*: refresh packaging files

  [ Harald Dunkel ]
  * New maintainer (Closes: #734331)
  * d/patches/*: refresh patches

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 25 Mar 2015 23:28:52 +0100

mg (20110905-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Set Maintainer to Debian QA Group.  (See #734331, #759306)
  * Drop DMUA.
  * Update Homepage.  (Closes: #739170)
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update Vcs-* URLs. Packaging is now in GIT.
  * hardening.patch: Use CPPFLAGS properly.

  [ Peter De Wachter ]
  * Bump to debhelper 9.
  * Don't need to link to libncurses, only to libtinfo.
  * Install the example config file as "dot_mg" instead of ".mg".

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Oct 2014 02:58:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mg
 Section: editors
 Priority: optional
-Maintainer: Trent W. Buck <trentbuck@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), libncurses-dev
-Standards-Version: 3.8.0
-Homepage: http://www.han.dds.nl/software/mg/
-Vcs-Darcs:   https://darcs.debian.org/collab-maint/mg
-Vcs-Browser: https://darcs.debian.org/collab-maint/mg
+Maintainer: Harald Dunkel <harri@afaics.de>
+Uploaders: Tomasz Buchert <tomasz@debian.org>
+Build-Depends: debhelper (>= 9), libncurses-dev, libbsd-dev, pkg-config
+Standards-Version: 3.9.6
+Homepage: http://homepage.boetes.org/software/mg/
+Vcs-Git: git://anonscm.debian.org/collab-maint/mg.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mg.git
 
 Package: mg
 Architecture: any

## mg 20160118

=== debian/changelog ===
mg (20160118-2) unstable; urgency=medium

  * 0003-Keep-mtime-for-backup.patch: keep old modification time for
    backup (closes: #635772)
  * #658539 has been resolved upstream (closes: #658539)
  * Peter's patch was accepted upstream (closes: #661732)

 -- Harald Dunkel <harri@afaics.de>  Mon, 08 Feb 2016 12:37:58 +0100

mg (20160118-1) unstable; urgency=medium

  * new upstream
  * drop GNU_SOURCE patch, applied upstream

 -- Harald Dunkel <harri@afaics.de>  Sat, 30 Jan 2016 11:01:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Harald Dunkel <harri@afaics.de>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9), libncurses-dev, libbsd-dev, pkg-config
+Build-Depends: debhelper (>= 9), libbsd-dev, libncurses-dev, pkg-config
 Standards-Version: 3.9.6
 Homepage: http://homepage.boetes.org/software/mg/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mg.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mg.git
 
 Package: mg
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
 Description: microscopic GNU Emacs-style editor
  This program is intended to be a small, fast, and portable

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
# export DH_OPTIONS=-v

MAKE_VARS=DESTDIR=debian/mg prefix=/usr mandir=/usr/share/man CURSES_LIBS=-ltinfo

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) $(MAKE_VARS)

override_dh_auto_install:
	$(MAKE) install $(MAKE_VARS)
# Install the ".mg" example config manually, as debhelper can't rename
	install -D -m444 .mg debian/mg/usr/share/doc/mg/examples/dot_mg

## mg 20160421

=== debian/changelog ===
mg (20160421-1) unstable; urgency=medium

  * Imported Upstream version 20160421
  * d/patches: dropped patch merged upstream
  * d/control: bumped Standards-Version to 3.9.8 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 15 May 2016 10:44:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Harald Dunkel <harri@afaics.de>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: debhelper (>= 9), libbsd-dev, libncurses-dev, pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://homepage.boetes.org/software/mg/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mg.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mg.git

## mg 20161005

=== debian/changelog ===
mg (20161005-1) unstable; urgency=medium

  * New upstream version 20161005

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 13 Oct 2016 09:18:24 +0200

mg (20160912-1) unstable; urgency=medium

  * New upstream version 20160912

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 18 Sep 2016 19:42:00 +0200

## mg 20170401

=== debian/changelog ===
mg (20170401-1) unstable; urgency=medium

  * new upstream version 20170401

 -- Harald Dunkel <harri@afaics.de>  Wed, 05 Apr 2017 11:26:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Harald Dunkel <harri@afaics.de>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9), libbsd-dev, libncurses-dev, pkg-config
+Build-Depends: debhelper (>= 10), libbsd-dev, libncurses-dev, pkg-config
 Standards-Version: 3.9.8
 Homepage: http://homepage.boetes.org/software/mg/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mg.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 MAKE_VARS=DESTDIR=debian/mg prefix=/usr mandir=/usr/share/man CURSES_LIBS=-ltinfo
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	$(MAKE) $(MAKE_VARS)

## mg 20171014

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.31 2015/09/29 03:50:58 tedu Exp $
+# $OpenBSD: Makefile,v 1.33 2016/09/16 17:17:40 tedu Exp $
 
 PROG=	mg
 
@@ -21,11 +21,11 @@
 #
 # More or less standalone extensions.
 #
-SRCS+=	cmode.c cscope.c dired.c grep.c tags.c theo.c
+SRCS+=	cmode.c cscope.c dired.c grep.c tags.c
 
 afterinstall:
-	${INSTALL} -d ${DESTDIR}${DOCDIR}/mg
-	${INSTALL} -m ${DOCMODE} -c ${.CURDIR}/tutorial \
-		${DESTDIR}${DOCDIR}/mg
+	${INSTALL} -d -o root -g wheel ${DESTDIR}${DOCDIR}/mg
+	${INSTALL} ${INSTALL_COPY} -o ${DOCOWN} -g ${DOCGRP} -m ${DOCMODE} \
+	    ${.CURDIR}/tutorial ${DESTDIR}${DOCDIR}/mg
 
 .include <bsd.prog.mk>

=== debian/changelog ===
mg (20171014-1) unstable; urgency=medium

  * new upstream version 20171014

 -- Harald Dunkel <harri@afaics.de>  Sat, 14 Oct 2017 21:22:19 +0200

mg (20170828-2) unstable; urgency=medium

  * include patch provided by Helmut Grohne <helmut@subdivi.de>
    to fix cross-platform builds (Closes: #866889)
    + Pass PKG_CONFIG via MAKE_VARS to make clean
    + Let dh_auto_build pass cross compilers to make

 -- Harald Dunkel <harri@afaics.de>  Tue, 05 Sep 2017 00:41:48 +0200

mg (20170828-1) unstable; urgency=medium

  * new upstream version 20170828
  * Bumped std-ver to 4.0.0 (no changes needed)

 -- Harald Dunkel <harri@afaics.de>  Wed, 30 Aug 2017 06:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Harald Dunkel <harri@afaics.de>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: debhelper (>= 10), libbsd-dev, libncurses-dev, pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://homepage.boetes.org/software/mg/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mg.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mg.git

=== debian/watch ===
version=4
http://homepage.boetes.org/software/mg/mg-(.*).tar.gz

## mg 20180927

=== Makefile ===
--- 
+++ 
@@ -2,15 +2,15 @@
 
 PROG=	mg
 
-LDADD+=	-lcurses -lutil
-DPADD+=	${LIBCURSES} ${LIBUTIL}
+LDADD+=	`pkg-config --libs ncurses` -lutil
+DPADD+=	${LIBNCURSES} ${LIBUTIL}
 
 # (Common) compile-time options:
 #
 #	REGEX		-- create regular expression functions.
 #	STARTUPFILE	-- look for and handle initialization file.
 #
-CFLAGS+=-Wall -DREGEX
+CFLAGS+=-Wall -DREGEX `pkg-config --cflags-only-I ncurses`
 
 SRCS=	autoexec.c basic.c bell.c buffer.c cinfo.c dir.c display.c \
 	echo.c extend.c file.c fileio.c funmap.c help.c kbd.c keymap.c \
@@ -23,6 +23,12 @@
 #
 SRCS+=	cmode.c cscope.c dired.c grep.c tags.c
 
+OS!=	uname
+
+.if ${OS:MDragonFly}
+SRCS+=	reallocarray.c
+.endif
+
 afterinstall:
 	${INSTALL} -d -o root -g wheel ${DESTDIR}${DOCDIR}/mg
 	${INSTALL} ${INSTALL_COPY} -o ${DOCOWN} -g ${DOCGRP} -m ${DOCMODE} \

=== debian/changelog ===
mg (20180927-1) unstable; urgency=medium

  * New upstream version 20180927
  * d/control: update vcs links to salsa
  * fix insecure-copyright-format-uri
  * update watch file
  * drop obsolete patches
  * refresh packaging (debhelper 12, std-ver 4.3.0)

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 10 Jan 2019 00:33:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: mg
+Maintainer: Harald Dunkel <harri@afaics.de>
+Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: editors
 Priority: optional
-Maintainer: Harald Dunkel <harri@afaics.de>
-Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 10), libbsd-dev, libncurses-dev, pkg-config
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
+               libbsd-dev,
+               libncurses-dev,
+               pkg-config
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian/mg
+Vcs-Git: https://salsa.debian.org/debian/mg.git
 Homepage: http://homepage.boetes.org/software/mg/
-Vcs-Git: git://anonscm.debian.org/collab-maint/mg.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mg.git
 
 Package: mg
 Architecture: any

## mg 20200723

=== debian/changelog ===
mg (20200723-1) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * New upstream version 20200723
  * Use debhelper 13

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 29 Jul 2020 09:27:58 +0200

mg (20200215-1) unstable; urgency=medium

  * new upstream
  * standards version 4.5.0.0
  * cleanup for "lintian --pedantic"

 -- Harald Dunkel <harri@afaics.de>  Sat, 14 Mar 2020 19:31:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (= 13),
                libbsd-dev,
                libncurses-dev,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/mg
 Vcs-Git: https://salsa.debian.org/debian/mg.git
-Homepage: http://homepage.boetes.org/software/mg/
+Homepage: https://homepage.boetes.org/software/mg/
 
 Package: mg
 Architecture: any

=== debian/watch ===
version=4
https://github.com/hboetes/mg/tags .*/(\d\S*)\.tar\.gz

## mg 20220614

=== debian/changelog ===
mg (20220614-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 20220614

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 06 Aug 2022 11:59:58 +0200

mg (20210609-1) unstable; urgency=medium

  * new upstream version 20210609
  * move to Debian standards 4.5.1.0 (no changes)

 -- Harald Dunkel <harri@afaics.de>  Sat, 30 Apr 2022 13:58:44 +0200

mg (20210314-1) unstable; urgency=medium

  * New upstream version 20210314

 -- Harald Dunkel <harri@afaics.de>  Fri, 23 Apr 2021 12:47:00 +0200

## mg 20221112

=== debian/changelog ===
mg (20221112-1) unstable; urgency=medium

  * new upstream version 20221112

 -- Harald Dunkel <harri@afaics.de>  Sat, 19 Nov 2022 19:16:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libbsd-dev,
                libncurses-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/mg
 Vcs-Git: https://salsa.debian.org/debian/mg.git

## mg 20230501

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
-# $OpenBSD: Makefile,v 1.33 2016/09/16 17:17:40 tedu Exp $
+# $OpenBSD: Makefile,v 1.35 2019/07/18 05:57:48 lum Exp $
 
 PROG=	mg
 
 LDADD+=	`pkg-config --libs ncurses` -lutil
-DPADD+=	${LIBNCURSES} ${LIBUTIL}
+DPADD+=	${LIBUTIL}
 
 # (Common) compile-time options:
 #
 #	REGEX		-- create regular expression functions.
 #	STARTUPFILE	-- look for and handle initialization file.
+#	MGLOG		-- debug mg internals to a log file.
 #
 CFLAGS+=-Wall -DREGEX `pkg-config --cflags-only-I ncurses`
 
@@ -21,13 +22,12 @@
 #
 # More or less standalone extensions.
 #
-SRCS+=	cmode.c cscope.c dired.c grep.c tags.c
+SRCS+=	cmode.c cscope.c dired.c grep.c interpreter.c tags.c
 
-OS!=	uname
-
-.if ${OS:MDragonFly}
-SRCS+=	reallocarray.c
-.endif
+#
+# -DMGLOG source file.
+#
+#SRCS+=	log.c
 
 afterinstall:
 	${INSTALL} -d -o root -g wheel ${DESTDIR}${DOCDIR}/mg

=== debian/changelog ===
mg (20230501-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 20230501 providing variable tab width
  * updated std-ver to 4.6.2

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 04 Nov 2023 23:31:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                libbsd-dev,
                libncurses-dev,
                pkg-config
-Standards-Version: 4.5.1.0
-Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/mg
 Vcs-Git: https://salsa.debian.org/debian/mg.git
 Homepage: https://homepage.boetes.org/software/mg/
+Rules-Requires-Root: no
 
 Package: mg
 Architecture: any

## mg 20240709

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5)
project (mg)

set (MG_SRC autoexec.c basic.c bell.c buffer.c cinfo.c dir.c display.c
	echo.c extend.c file.c fileio.c funmap.c help.c kbd.c keymap.c
	line.c macro.c main.c match.c modes.c paragraph.c
	re_search.c region.c search.c spawn.c tty.c ttyio.c ttykbd.c
	undo.c util.c version.c window.c word.c yank.c
	cmode.c cscope.c dired.c grep.c tags.c interpreter.c
)

add_executable (mg ${MG_SRC})

find_package (PkgConfig REQUIRED)
pkg_check_modules (NCURSES REQUIRED ncurses)
string (REPLACE ";" " -I" NCURSES_FLAGS "${NCURSES_INCLUDE_DIRS}")
set (NCURSES_FLAGS "-I${NCURSES_FLAGS}")
target_link_libraries (mg ${NCURSES_LIBRARIES} util)

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  pkg_check_modules (BSD REQUIRED libbsd-overlay)
  link_directories (${BSD_LIBRARY_DIRS})
  string (REPLACE ";" " " LIBBSD_FLAGS "${BSD_CFLAGS}")
  target_link_libraries (mg ${BSD_LIBRARIES})
  set (CMAKE_C_FLAGS "-Wall -DREGEX -D_GNU_SOURCE ${LIBBSD_FLAGS} ${NCURSES_FLAGS} -L${NCURSES_LIBRARY_DIRS}")
else()
  set (CMAKE_C_FLAGS "-Wall -DREGEX ${LIBBSD_FLAGS} ${NCURSES_FLAGS} -L${NCURSES_LIBRARY_DIRS}")
endif()

=== debian/changelog ===
mg (20240709-2) unstable; urgency=medium

  * Refresh d/control (std-ver and cosmetic improvements)
  * Improve hardening by adding CPPFLAGS to CFLAGS
  * Define PATH_MAX and LOGIN_NAME_MAX if missing (Closes: #783943)

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 09 Feb 2026 08:59:21 +0100

mg (20240709-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 20240709

  [ Tomasz Buchert ]
  * depend on pkgconf instead of pkg-config

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 23 Jul 2024 20:32:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: mg
+Standards-Version: 4.7.3
 Maintainer: Harald Dunkel <harri@afaics.de>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: editors
-Priority: optional
 Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
                libbsd-dev,
                libncurses-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
 Vcs-Browser: https://salsa.debian.org/debian/mg
 Vcs-Git: https://salsa.debian.org/debian/mg.git
 Homepage: https://homepage.boetes.org/software/mg/
-Rules-Requires-Root: no
 
 Package: mg
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
# export DH_OPTIONS=-v

include /usr/share/dpkg/architecture.mk
PKG_CONFIG ?= $(DEB_HOST_GNU_TYPE)-pkg-config

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)

MAKE_VARS=DESTDIR=debian/mg prefix=/usr mandir=/usr/share/man CURSES_LIBS=-ltinfo PKG_CONFIG='$(PKG_CONFIG)'

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -- $(MAKE_VARS)

override_dh_auto_build:
	dh_auto_build -- $(MAKE_VARS)

override_dh_auto_install:
	$(MAKE) install $(MAKE_VARS)
# Install the ".mg" example config manually, as debhelper can't rename
	install -D -m444 .mg debian/mg/usr/share/doc/mg/examples/dot_mg
